Bug 1707899 - [release-3.10] Fix typo of random_string that prevents forwarding to SYSLOG via UDP to fail
Summary: [release-3.10] Fix typo of random_string that prevents forwarding to SYSLOG v...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.10.0
Hardware: x86_64
OS: All
unspecified
medium
Target Milestone: ---
: 3.10.z
Assignee: Noriko Hosoi
QA Contact: Qiaoling Tang
URL:
Whiteboard:
Depends On: 1703904
Blocks: 1707538 1707901
TreeView+ depends on / blocked
 
Reported: 2019-05-08 16:12 UTC by Noriko Hosoi
Modified: 2019-06-27 16:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: 1) There was a missing '@' for an instance variable in the fleuntd remote syslog plugin code. 2) There were some cases that systemd-journald logged non-decimal facility values. Consequence: 1) Forwarding logs to remote rsyslog via UDP failed. 2) Forwarding a log record including a non-digital facility value failed regardless of the network protocol. Fix: 1) The missing '@' was added. 2) The fluentd remote syslog plugin checks the facility value. If the value is not in the defined value set, it resets to the default value. Result: Forwarding logs remote rsyslog do not fail.
Clone Of: 1703904
: 1707901 (view as bug list)
Environment:
Last Closed: 2019-06-27 16:41:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1607 None None None 2019-06-27 16:41:23 UTC

Comment 3 Qiaoling Tang 2019-06-13 01:25:27 UTC
Verified in logging-fluentd-v3.10.149-2

Comment 5 errata-xmlrpc 2019-06-27 16:41:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1607


Note You need to log in before you can comment on or make changes to this bug.